*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}
body{
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    background: #000;   
}
.contaner{
    position: relative;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 40px;
    flex-wrap: wrap;
    -webkit-box-reflect: below 2px linear-gradient(
        transparent,#0009
    );
}
.contaner .box{
    position: relative;
    width: 200px;
    height: 200px;
    background: linear-gradient(45deg,#00f376 10%,transparent
    10%,transparent 50%,#00f376 50%,#00f376 60%,transparent 60%,transparent 100%);
    background-size: 40px 40px;
    transform:  rotate(calc(var(--i) * 90deg));
    filter: hue-rotate(calc(var(--i) * 90deg));
    animation: animate 0.5s linear infinite;
}
@keyframes animate{
    0%{
        background-position: 0;
    }
    0%{
        background-position: 40px;
    }
}